<?php
define('DEBUG_MODE', 'echo');

require_once 'RentalCompanyInheritance.php';
require_once 'Exceptions.php';
require_once 'Customer.php';
require_once 'Car.php';

use de\phpdesignpatterns\example\EchoingRentalCompany;
use de\phpdesignpatterns\example\LoggingRentalCompany;
use de\phpdesignpatterns\example\Car;
use de\phpdesignpatterns\example\Customer;

switch (DEBUG_MODE) {
    case 'echo':
        $company = new EchoingRentalCompany();
        break;
    case 'log':
        $company = new LoggingRentalCompany();
        break;
}

$bmw = new Car('BMW', 'blau');
$stephan = new Customer(1, 'Stephan Schmidt');
$gerd = new Customer(2, 'Gerd Schaufelberger');

$company->addToFleet('bmw1', $bmw);
$company->rentVehicle($bmw, $stephan);
$company->returnVehicle($bmw);
$company->rentVehicle($bmw, $gerd);
?>